// ReadTemp.c : implementation file
#include "API.h"
#include <math.h>

// TODO: add user code here

#define MIN_TEMPERATURE   0.5       // LM34 Minimum temperature reading in degrees Fahrenheit
#define MAX_TEMPERATURE 300.0       // LM34 Maximum temperature reading in degrees Fahrenheit

// Convert temperature to degrees Fahrenheit
double ConvertToFahrenheit(int RawTemperature) 
{
    double Temp = 0.0;
 
    // Convert voltage read from 10-Bit ADC pin to degrees Fahrenheit  (0 TO 5000 mV)
    Temp = ((double) RawTemperature * (5000.0 /1024.0)) / 10.0;
 
    //Temp = ((double) RawTemperature * 9.0)/ 5.0 + 32.0; // Convert Celsius to Fahrenheit
    return Temp;
}

// Convert temperature in degrees Fahrenheit to degrees Celsius
double ConvertToCelsius(int RawTemperature) 
{
    double Temp = 0.0;
    
    Temp = 5.0/9.0 *((double) RawTemperature - 32.0); // Convert Fahrenheit to Celsius
    return Temp;
}



